# PXMLRPC Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPC:

List of all members.

## Public Types

| CannotCreateRequestXML = 100
| CannotParseResponseXML
| CannotParseRequestXML
| HTTPPostFailed
| CannotReadResponseContentBody
| ResponseRootNotMethodResponse
| ResponseEmpty
| ResponseUnknownFormat
| ParamNotValue
| ScalarWithoutElement
| ParamNotStruct
| MemberIncomplete
| MemberUnnamed
| FaultyFault
| RequestHasWrongDocumentType
| RequestHasNoMethodName
| RequestHasNoParms
| MethodNameIsEmpty
| UnknownMethod
| ParamNotArray
| UserFault = 1000

enum

{
CannotCreateRequestXML = 100, CannotParseResponseXML, CannotParseRequestXML, HTTPPostFailed,
CannotReadResponseContentBody, ResponseRootNotMethodResponse, ResponseEmpty, ResponseUnknownFormat,
ParamNotValue, ScalarWithoutElement, ParamNotStruct, MemberIncomplete,
MemberUnnamed, FaultyFault, RequestHasWrongDocumentType, RequestHasNoMethodName,
RequestHasNoParms, MethodNameIsEmpty, UnknownMethod, ParamNotArray,
UserFault = 1000
}

## Public Member Functions

| PXMLRPC (const PURL &url, PXML::Options options=PXML::NoOptions)
void | SetTimeout (const PTimeInterval &t)
PBoolean | MakeRequest (const PString &method)
PBoolean | MakeRequest (const PString &method, PXMLRPCBlock &response)
PBoolean | MakeRequest (PXMLRPCBlock &request, PXMLRPCBlock &response)
PBoolean | MakeRequest (const PString &method, const PXMLRPCStructBase &args, PXMLRPCStructBase &reply)
PString | GetFaultText () const
PINDEX | GetFaultCode () const

## Static Public Member Functions

static PBoolean | ISO8601ToPTime (const PString &iso8601, PTime &val, int tz=PTime::GMT)
static PString | PTimeToISO8601 (const PTime &val)

## Protected Member Functions

PBoolean | PerformRequest (PXMLRPCBlock &request, PXMLRPCBlock &response)

## Protected Attributes

PURL | url
PINDEX | faultCode
PString | faultText
PTimeInterval | timeout
PXML::Options | m_options

## Member Enumeration Documentation

anonymous enum

Enumerator:

  CannotCreateRequestXML |
  CannotParseResponseXML |
  CannotParseRequestXML |
  HTTPPostFailed |
  CannotReadResponseContentBody |
  ResponseRootNotMethodResponse |
  ResponseEmpty |
  ResponseUnknownFormat |
  ParamNotValue |
  ScalarWithoutElement |
  ParamNotStruct |
  MemberIncomplete |
  MemberUnnamed |
  FaultyFault |
  RequestHasWrongDocumentType |
  RequestHasNoMethodName |
  RequestHasNoParms |
  MethodNameIsEmpty |
  UnknownMethod |
  ParamNotArray |
  UserFault |

## Constructor & Destructor Documentation

PXMLRPC::PXMLRPC | ( | const PURL & | url,
|  | PXML::Options | options = `PXML::NoOptions` |
| ) |  |  |

## Member Function Documentation

PINDEX PXMLRPC::GetFaultCode | ( |  | ) | const`[inline]`

PString PXMLRPC::GetFaultText | ( |  | ) | const`[inline]`

static PBoolean PXMLRPC::ISO8601ToPTime | ( | const PString & | iso8601,
|  | PTime & | val,
|  | int | tz = `PTime::GMT` |
| ) |  |  | `[static]`

PBoolean PXMLRPC::MakeRequest | ( | const PString & | method,
|  | const PXMLRPCStructBase & | args,
|  | PXMLRPCStructBase & | reply |
| ) |  |  |

PBoolean PXMLRPC::MakeRequest | ( | PXMLRPCBlock & | request,
|  | PXMLRPCBlock & | response |
| ) |  |  |

PBoolean PXMLRPC::MakeRequest | ( | const PString & | method,
|  | PXMLRPCBlock & | response |
| ) |  |  |

PBoolean PXMLRPC::MakeRequest | ( | const PString & | method | ) |

PBoolean PXMLRPC::PerformRequest | ( | PXMLRPCBlock & | request,
|  | PXMLRPCBlock & | response |
| ) |  |  | `[protected]`

static PString PXMLRPC::PTimeToISO8601 | ( | const PTime & | val | ) | `[static]`

void PXMLRPC::SetTimeout | ( | const PTimeInterval & | t | ) | `[inline]`

## Member Data Documentation

PINDEX PXMLRPC::faultCode `[protected]`

PString PXMLRPC::faultText `[protected]`

PXML::Options PXMLRPC::m_options `[protected]`

PTimeInterval PXMLRPC::timeout `[protected]`

PURL PXMLRPC::url `[protected]`

The documentation for this class was generated from the following file:

- pxmlrpc.h